function shop_dp_flower(id){
    function fun1(str1){
        if(str1.toLowerCase()=="has"){alert("哎哟，您真是太热情了！可惜今天我的花瓶已经装不下了，欢迎明天再给我送鲜花哦！");return;}
        document.getElementById("shop_dp_flower"+id).parentNode.innerHTML="<a href=\"javascript:void(0)\">鲜花:"+str1+"</a>";
    }
    ajax("get","dp_re.aspx?act=flowers&id="+id+"&rd="+Math.random(),"",function OnHandler(){if(xmlHttp.readyState == 4){fun1(xmlHttp.responseText);}});    
}

function ShowReportBox(ShopID){
    var furl="/shop/shop_report.aspx?fid="+ShopID+"&url="+base64en(location.href)+"&rd="+Math.random();
    TINY.box.show("<iframe allowtransparency=\"true\" width=\"500\" height=\"225\" frameborder=\"0\" scrolling=\"no\" src=\""+furl+"\"></iframe>",0,500,225,1,0);
}

function shop_dp_re(id){
    TINY.box.show("dp_re.aspx?id="+id+"&rd="+Math.random(),1,495,240,1,0);
}
function save_shop_dp_re(id,obj1){var url=location.href;if(url.indexOf("#")!=-1)url=url.substring(0,url.lastIndexOf("#"));ajax("post","dp_re.aspx?act=ajax","id="+id+"&value="+base64en(document.getElementById(obj1).value)+"&rd="+Math.random(),function OnHandler(){if(xmlHttp.readyState == 4){window.location=url;}});}
